=== debian/control ===
--- 
+++ 
@@ -2,18 +2,17 @@
 Section: libs
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>,
-           Sandro Knauß <hefee@debian.org>,
+Uploaders: Sandro Knauß <hefee@debian.org>,
            Patrick Franz <deltaone@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.99.0~),
                gettext,
-               libkf5akonadi-dev (>= 4:22.12.0~),
-               libkf5akonadicalendar-dev (>= 4:22.12.0~),
+               libkf5akonadi-dev (>= 4:22.12.3~),
+               libkf5akonadicalendar-dev (>= 4:22.12.3~),
                libkf5calendarcore-dev (>= 5:5.99.0~),
-               libkf5calendarsupport-dev (>= 4:22.12.0~),
-               libkf5calendarutils-dev (>= 4:22.12.0~),
+               libkf5calendarsupport-dev (>= 4:22.12.3~),
+               libkf5calendarutils-dev (>= 4:22.12.3~),
                libkf5codecs-dev (>= 5.99.0~),
                libkf5completion-dev (>= 5.99.0~),
                libkf5configwidgets-dev (>= 5.99.0~),
@@ -23,8 +22,8 @@
                libkf5i18n-dev (>= 5.99.0~),
                libkf5iconthemes-dev (>= 5.99.0~),
                libkf5itemmodels-dev (>= 5.99.0~),
-               libkf5libkdepim-dev (>= 4:22.12.0~),
-               libkf5mime-dev (>= 22.12.0~),
+               libkf5libkdepim-dev (>= 4:22.12.3~),
+               libkf5mime-dev (>= 22.12.3~),
                libkf5service-dev (>= 5.99.0~),
                libkgantt-dev (>= 1.4.0~),
                pkg-kde-tools (>= 0.12),
@@ -39,7 +38,7 @@
 Package: libkf5eventviews-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends: ${misc:Depends},
 Description: KDE PIM event handling - data files
  This library provides an event creator for KDE PIM.
  .
@@ -49,10 +48,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:22.12.0~),
-         libkf5akonadicalendar-dev (>= 4:22.12.0~),
-         libkf5calendarsupport-dev (>= 4:22.12.0~),
-         libkf5calendarutils-dev (>= 4:22.12.0~),
+Depends: libkf5akonadi-dev (>= 4:22.12.3~),
+         libkf5akonadicalendar-dev (>= 4:22.12.3~),
+         libkf5calendarsupport-dev (>= 4:22.12.3~),
+         libkf5calendarutils-dev (>= 4:22.12.3~),
          libkf5eventviews5abi1 (= ${binary:Version}),
          ${misc:Depends},
 Description: KDE PIM event handling - devel files
@@ -72,4 +71,4 @@
  This library provides an event creator for KDE PIM.
  .
  This package provides the shared libraries.
-Provides: ${ABI:VirtualPackage}
+Provides: ${ABI:VirtualPackage},
