=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:23.08.4~),
-               libkf5akonadicalendar-dev (>= 4:23.08.4~),
+               libkf5akonadi-dev (>= 4:23.08.5~),
+               libkf5akonadicalendar-dev (>= 4:23.08.5~),
                libkf5calendarcore-dev (>= 4:19.08.3~),
-               libkf5calendarsupport-dev (>= 4:23.08.4~),
-               libkf5calendarutils-dev (>= 4:23.08.4~),
+               libkf5calendarsupport-dev (>= 4:23.08.5~),
+               libkf5calendarutils-dev (>= 4:23.08.5~),
                libkf5codecs-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:23.08.4~),
+               libkf5contacteditor-dev (>= 4:23.08.5~),
                libkf5holidays-dev,
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 23.08.4~),
-               libkf5libkdepim-dev (>= 4:23.08.4~),
-               libkf5mime-dev (>= 23.08.4~),
+               libkf5identitymanagement-dev (>= 23.08.5~),
+               libkf5libkdepim-dev (>= 4:23.08.5~),
+               libkf5mime-dev (>= 23.08.5~),
                libkf5textaddons-dev,
                libkgantt-dev,
                pkg-kde-tools (>= 0.12),
@@ -46,10 +46,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:23.08.4~),
-         libkf5akonadicalendar-dev (>= 4:23.08.4~),
-         libkf5calendarsupport-dev (>= 4:23.08.4~),
-         libkf5calendarutils-dev (>= 4:23.08.4~),
+Depends: libkf5akonadi-dev (>= 4:23.08.5~),
+         libkf5akonadicalendar-dev (>= 4:23.08.5~),
+         libkf5calendarsupport-dev (>= 4:23.08.5~),
+         libkf5calendarutils-dev (>= 4:23.08.5~),
          libkpim5eventviews5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
